Skip to main content
GET
/
sites
Get list of company sites
curl --request GET \
  --url https://api.kinsta.com/v2/sites \
  --header 'Authorization: Bearer <token>'
{
  "company": {
    "sites": [
      {
        "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
        "name": "firstsite",
        "display_name": "First site",
        "status": "live",
        "siteLabels": [
          {
            "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "name": "Do not remove"
          }
        ],
        "environments": [
          {
            "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "name": "live",
            "display_name": "Live",
            "is_blocked": false,
            "id_edge_cache": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "cdn_cache_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
            "is_opt_out_from_automatic_php_update": false,
            "web_root": "/release_v1",
            "image_optimization_type": "lossy",
            "is_additional_sftp_accounts_enabled": false,
            "is_premium": false,
            "wordpress_version": "6.3.1",
            "domains": [
              {
                "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
                "name": "example.com",
                "site_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
                "is_active": true,
                "type": "live"
              }
            ],
            "primaryDomain": {
              "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
              "name": "example.com",
              "site_id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
              "is_active": true,
              "type": "live"
            },
            "ssh_connection": {
              "ssh_port": "808080",
              "ssh_ip": {
                "external_ip": "1xx.1xx.1xx.1xx"
              }
            },
            "container_info": {
              "id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
              "php_engine_version": "php8.3"
            }
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

company
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

include_environments
boolean | null
default:false
Example:

true

Response

Successfully found sites

company
object
required